js-babel-ui
Consolidated babel dependencies for UI (React).
Last updated 4 years ago by philcockfield .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install js-babel-ui 
SYNC missed versions from official npm registry.

js-babel-ui

Consolidated Babel dependencies for transpiling UI code (React).

IMPORTANT

Do not reference this library unless you are happy staying in lock-step with the babel transpiler plugins used by my modules and other idiomatic decisions that I make.

Install

A single dependency will bring all the standard babel presents and plugins:

npm install --save-dev js-babel-ui
{
  "devDependencies": {
    "js-babel-ui": "^6.0.0"
  }
}

Configure

.babelrc

The references in this module's package.json allow for the following presents and plugins in your .babelrc file:

{
  "presets": ["es2015", "stage-0", "react"],
  "plugins": ["transform-class-properties"]
}

Tests

npm install
npm test

License: MIT

Current Tags

  • 6.0.6                                ...           latest (4 years ago)

7 Versions

  • 6.0.6                                ...           4 years ago
  • 6.0.5                                ...           4 years ago
  • 6.0.4                                ...           5 years ago
  • 6.0.3                                ...           5 years ago
  • 6.0.2                                ...           5 years ago
  • 6.0.1                                ...           5 years ago
  • 6.0.0                                ...           5 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 0
Dependencies (3)
Dev Dependencies (4)
Dependents (2)

Copyright 2014 - 2016 © taobao.org |